import {defineConfig} from 'vitepress'
import {ThemeConfig} from "./utils";

export const en = defineConfig({
    lang: "en-US",
    title: "LiteyukiBot",
    description: "A high-performance, easy-to-use chatbot framework and application",
    themeConfig: {
        nav: [
            {text: 'Deploy', link: '/en/deploy/install'},
            {text: 'Usage', link: '/en/usage/basic'},
            {text: 'Extension', link: '/en/store/resource'},
            {text: 'Develop', link: '/en/dev/guide'},
        ],
        docFooter: {
            prev: 'Prev Page',
            next: 'Next Page'
        },
        editLink: ThemeConfig.getEditLink(
            'Edit this page on GitHub',
        ),
        footer: {
            message: 'Documentation built with <a href="https://vitepress.dev/">VitePress</a> | API references generated by <a href="https://github.com/LiteyukiStudio/litedoc">litedoc</a>',
            copyright: ThemeConfig.copyright
        },
        outline: ThemeConfig.getOutLine("Page Content"),

        langMenuLabel: 'Language',
        returnToTopLabel: 'Back to top',
        sidebarMenuLabel: 'Menu',
        darkModeSwitchLabel: 'Theme',
        lightModeSwitchTitle: 'Light Mode',
        darkModeSwitchTitle: 'Dark Mode',
    },
})